## org.eclipse.emf.workspace.internal
Class EMFWorkspaceStatusCodes

    java.lang.Object
      org.eclipse.emf.workspace.internal.EMFWorkspaceStatusCodes

    public class EMFWorkspaceStatusCodes

extends Object

Error status codes for the EMF Workbench plug-in.

Field Summary
`static int` `EXCEPTION_HANDLER_FAILED`
`static int` `EXECUTE_INTERRUPTED`
`static int` `EXECUTE_ROLLED_BACK`
`static int` `PRECOMMIT_FAILED`
`static int` `REDO_INTERRUPTED`
`static int` `REDO_RECOVERY_FAILED`
`static int` `REDO_ROLLED_BACK`
`static int` `ROLLBACK_FAILED`
`static int` `UNDO_INTERRUPTED`
`static int` `UNDO_RECOVERY_FAILED`
`static int` `UNDO_ROLLED_BACK`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTE_INTERRUPTED

    public static final int EXECUTE_INTERRUPTED

See Also:
  Constant Field Values

### EXECUTE_ROLLED_BACK

    public static final int EXECUTE_ROLLED_BACK

See Also:
  Constant Field Values

### UNDO_INTERRUPTED

    public static final int UNDO_INTERRUPTED

See Also:
  Constant Field Values

### UNDO_ROLLED_BACK

    public static final int UNDO_ROLLED_BACK

See Also:
  Constant Field Values

### REDO_INTERRUPTED

    public static final int REDO_INTERRUPTED

See Also:
  Constant Field Values

### REDO_ROLLED_BACK

    public static final int REDO_ROLLED_BACK

See Also:
  Constant Field Values

### UNDO_RECOVERY_FAILED

    public static final int UNDO_RECOVERY_FAILED

See Also:
  Constant Field Values

### REDO_RECOVERY_FAILED

    public static final int REDO_RECOVERY_FAILED

See Also:
  Constant Field Values

### ROLLBACK_FAILED

    public static final int ROLLBACK_FAILED

See Also:
  Constant Field Values

### PRECOMMIT_FAILED

    public static final int PRECOMMIT_FAILED

See Also:
  Constant Field Values

### EXCEPTION_HANDLER_FAILED

    public static final int EXCEPTION_HANDLER_FAILED

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.